Current-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Call for testing: Xen 4.0

Would there be any sense in having pre-cut netbsd-5 binaries?

On 18 Jan 2010 14:37, "Christoph Egger" <> wrote:


Xen 4.0 is coming soon.
You can make sure it will work on NetBSD by helping with testing it.

First compile the sources. For this, install devel/mercurial, devel/scmgit
and devel/gmake

Then check out the sources:

hg clone

Enter the directory:

cd xen-unstable.hg

Then apply this patch which applies stuff that is not upstream but needed
to make it basically working on NetBSD:

patch -p1 < xen40_netbsd.diff

Then apply this patch. This disables stuff that is missing in NetBSD
(shm and pthread) and would break build, otherwise:

patch -p1 < xen40_netbsd_workaround.diff

Next, define some environment variables:

Set the PYTHON environment variable to the version you installed
as a dependency of mercurial:

PYTHON=python2.5 Â(if you have python 2.5)
export PYTHON

Define PREFIX where you want to install it:

export PREFIX

Compile and install the xen kernel:

gmake xen && cp xen/xen.gz /xen40.gz

Compile and install the xen tools:

gmake dist-tools && cp -Rp dist/install/${PREFIX}/* ${PREFIX}/

Now add a new entry to your /boot.cfg :

menu=Xen4;load /netbsd-XEN3_DOM0 console=pc;multiboot /xen40.gz

At or after boot but before starting xend set two environment variables:

export LD_LIBRARY_PATH="${PREFIX}/lib"
export PYTHONPATH="${PREFIX}/lib/${PYTHON}/site-packages"

where PREFIX and PYTHON are the ones from above. You may substitute them

Now start "xend". Âxend launches xenbackendd automatically. No need to
start it seperately.

Now you can start your PV guests.

Before you start your HVM guests, in the guest config files replace the lines




or Xen 4 will try to use the wrong versions.


Home | Main Index | Thread Index | Old Index